
<h1>DscPyDB</h1>

<hr>

<h4>A Package made for Using Levelling Databases and Economy Databases!</h1>

<p>This Package is based on aiosqlite!</p>

<h5>A Short Example for Level Databases!</h5>

```python

from DscPyDB import LevelDB

level_db = LevelDB()

```

<h2>Methods for LevelDB</h2>

- read_data(Args: `user_id INTEGER`) [Returns A NamedTuple]

- create_account(Args: `user_id INTEGER`, `experience INTEGER`, `level INTEGER`) [Returns A NamedTuple. *This method will return a NamedTuple even if the user is just added to the database or already exists!*]

- update_account(Args: `user_id INTEGER` | Kwargs: `experience INTEGER`, `level INTEGER`) [Returns A NamedTuple]

<h5>A Short Example for Economy Databases!</h5>

```python
from DscPyDB import EconomyDB

eco_db = EconomyDB()
```
<h2>Methods for EconomyDB</h2>

- read_data(Args: `user_id INTEGER`) [Returns A NamedTuple]

- create_account(Args: `user_id INTEGER`, `initial_wallet_amount INTEGER`, `initial_bank_amount INTEGER`) [Returns A NamedTuple. *This method will return a NamedTuple even if the user is just added to the database or already exists!*]

- update_account(Args: `user_id INTEGER` | Kwargs: `wallet_amount INTEGER`, `bank_amount INTEGER`) [Returns a Boolean]

<h5>A Short Example for Warnings Databases!</h5>

```python
from DscPyDB import WarnDB

warns_db = WarnDB()
```

<hr>

- read_data(Args: `user_id INTEGER`) [Returns A NamedTuple]

- create_account(Args: `user_id INTEGER`, `initial_warns INTEGER`, `banned BOOLEAN`) [Returns A NamedTuple. *This method will return a NamedTuple even if the user is just added to the database or already exists!*]

- update_account(Args: `user_id INTEGER` | Kwargs: `warns INTEGER`, `banned BOOLEAN`) [Returns a Boolean]

See the [full example](https://github.com/Dark-Light007/DscPyDB/blob/main/src/DscPyDB/db/example/) on my github page.

See the Github [Repository](https://github.com/Dark-Light007/DscPyDB)